Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QCompleter.ModelSorting

    java.lang.Object
      java.lang.Enum<QCompleter.ModelSorting>
          com.trolltech.qt.gui.QCompleter.ModelSorting

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QCompleter.ModelSorting>

Enclosing class:
  QCompleter

    public static enum QCompleter.ModelSorting

extends java.lang.Enum<QCompleter.ModelSorting>
implements QtEnumerator

This enum specifies how the items in the model are sorted.

See Also:
  `setModelSorting`

Enum Constant Summary
`CaseInsensitivelySortedModel` The model is sorted case insensitively.
`CaseSensitivelySortedModel` The model is sorted case sensitively.
`UnsortedModel` The model is unsorted.

Method Summary
`static QCompleter.ModelSorting` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QCompleter.ModelSorting` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QCompleter.ModelSorting[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UnsortedModel

    public static final QCompleter.ModelSorting UnsortedModel

  The model is unsorted.

### CaseSensitivelySortedModel

    public static final QCompleter.ModelSorting CaseSensitivelySortedModel

  The model is sorted case sensitively.

### CaseInsensitivelySortedModel

    public static final QCompleter.ModelSorting CaseInsensitivelySortedModel

  The model is sorted case insensitively.

Method Detail

### values

    public static final QCompleter.ModelSorting[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QCompleter.ModelSorting c : QCompleter.ModelSorting.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QCompleter.ModelSorting valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QCompleter.ModelSorting resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD